<?php
defined('_JEXEC') or die('Restricted access');
jimport( 'joomla.application.component.controller' );

class maxxGalleryControllerCategory extends JController
{
    function __construct( $default = array() ){
        MaxxgalleryHelper::addSubmenu("category");  
        parent::__construct( $default );
        $this->registerTask('apply',    'save');       
    }
    
    function display(){
        $mainframe =& JFactory::getApplication();
        ini_set("upload_max_filesize", "100M");
        
                  
        $view = JRequest::getVar('view', 'maxxgallery');
        $layout = JRequest::getVar('layout');  
        $view = $this->getView( $view,'html'); 
        
        if ($modelCA = &$this->getModel('categories')) {
            // Push the model into the view (as default)
            $view->setModel($modelCA);
        }
       
        if(JRequest::getVar('task')=='add' || JRequest::getVar('task')=='edit'){
            $view->display('form');
        }else{
            $view->display($layout);    
        }
    }
    
    function unpublish(){
        $cid = JRequest::getVar( 'cid', array(0), '', 'array' );
        $view = JRequest::getVar('view');
        $this->publishCat('unpublish');
    }
    
    function publish() {
        $cid = JRequest::getVar( 'cid', array(0), '', 'array' );
        $view = JRequest::getVar('view');
        $this->publishCat('publish');
    }
    
    function publishCat($task){
        // Check for request forgeries
        JRequest::checkToken() or jexit( 'Invalid Token' );
        $db        =& JFactory::getDBO();
        $user    =& JFactory::getUser();
        $cid     = JRequest::getVar( 'cid', array(0), 'post', 'array' );

        JArrayHelper::toInteger($cid, array(0));
        $publish = ( $task == 'publish' ? 1 : 0 );
        $client  = JRequest::getWord( 'filter_client', 'site' );
        if (count( $cid ) < 1) {
            $action = $publish ? JText::_( 'publish' ) : JText::_( 'unpublish' );
            JError::raiseError(500, JText::_( 'Select a image to '.$action ) );
        }
        $cids = implode( ',', $cid );
        $query = 'UPDATE #__maxxgallery_cat SET published = '.(int) $publish . ' WHERE cid IN ( '.$cids.' )';
        $db->setQuery( $query );
        if (!$db->query()) {
            JError::raiseError(500, $db->getErrorMsg() );
        }

        $this->setRedirect( 'index.php?option=com_maxxgallery&controller=category&view=categories',JTEXT::_('MAXX_SUCCESS'));
    }  
    
    function orderup(){
        $cid = JRequest::getVar( 'cid', array(0), '', 'array' );        
        $this->_orderCat(intval($cid[0]), -1);
    }
    
    function orderdown(){
        $cid = JRequest::getVar( 'cid', array(0), '', 'array' );        
        $this->_orderCat(intval($cid[0]), 1);
    }
    
    function _orderCat($uid, $move){
        $obj = &JTable::getInstance('category', 'maxxgallery');
        $obj->load($uid);
        
        $obj->move($move,"parent='".$obj->parent."'");        
        $this->setRedirect('index.php?option=com_maxxgallery&controller=category&view=categories');
    }
    
    function saveorder(){
        $cid = JRequest::getVar( 'cid', array(0), '', 'array' );
        $model = &$this->getModel('categories');
        $order = JRequest::getVar( 'order', array(0), 'post', 'array' );
        
        if ($model->saveOrder($cid,$order)){
            $this->setRedirect('index.php?option=com_maxxgallery&controller=category&view=categories',JTEXT::_('MAXX_SUCCESS'));
        }
    }
    
    function save(){
        $model = $this->getModel('categories');
        
        $post = JRequest::get('post');
        $post['name']  = JRequest::getVar('name','','post',"string", 2);
        $post['description']   = JRequest::getVar('description','','post',"string", 2);
        
        if ($model->saveCategory($post)){
            if(JRequest::getVar('task')!=apply)
                $this->setRedirect( 'index.php?option=com_maxxgallery&controller=category&view=categories',JTEXT::_('MAXX_SUCCESS'));
            else
                $this->setRedirect( 'index.php?option=com_maxxgallery&controller=category&task=edit&view=categories&layuot=form&cid[]='.$post['id'],JTEXT::_('MAXX_SUCCESS'));
        }
    }
    
    function remove(){
        $cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );
        $cids = implode( ',', $cid );
        $db =& JFactory::getDBO();
        $query = 'delete from #__maxxgallery_cat WHERE cid IN ( '.$cids.' )';
        $db->setQuery( $query );

        if (!$db->query()) {
            JError::raiseError(500, $db->getErrorMsg() );
        }
        
        $this->setRedirect( 'index.php?option=com_maxxgallery&controller=category&view=categories',JTEXT::_('MAXX_SUCCESS_REMOVE'));
    }
}//class