<?php
    defined('_JEXEC') or die;

abstract class MaxxgalleryHelper
{
    public static function addSubmenu($vName)
    {
        JSubMenuHelper::addEntry(
            JText::_('MAXX_PIC_MANAGER'),
            'index.php?option=com_maxxgallery&controller=pictures&view=pictures',
            $vName == 'picture');
        JSubMenuHelper::addEntry(
            JText::_('MAXX_CAT_MANAGER'),
            'index.php?option=com_maxxgallery&controller=category&view=categories',
            $vName == 'category'
        );
         
        JSubMenuHelper::addEntry(
            JText::_('MAXX_PIC_UPLOAD'),
            'index.php?option=com_maxxgallery&controller=pictures&view=pictures&task=add',
            $vName == 'upload');
        JSubMenuHelper::addEntry(
            JText::_('MAXX_ZIP_UPLOAD'),
            'index.php?option=com_maxxgallery&controller=pictures&view=pictures&layout=batch',
            $vName == 'batch'
        );
        JSubMenuHelper::addEntry(
            JText::_('MAXX_CONFIG'),
            'index.php?option=com_maxxgallery&controller=config&view=config',
            $vName == 'config'
        );    
        JSubMenuHelper::addEntry(
            JText::_('MAXX_COMM_MANAGER'),
            'index.php?option=com_maxxgallery&controller=comments&view=comments',
            $vName == 'comments'
        );  
        JSubMenuHelper::addEntry(
            JText::_('MAXX_REBUILD_PICTURE'),
            'index.php?option=com_maxxgallery&controller=rebuild&view=rebuild',
            $vName == 'rebuild');                  
    }
    
    public static function getActions($itemId = 0)
    {
        $user  = JFactory::getUser();
        $result        = new JObject;

        if (empty($itemId)) {
            $assetName = 'com_maxxgallery';
        }
        else {
            $assetName = 'com_maxxgallery.question.'.(int) $itemId;
        }
        

        $actions = array(
            'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
        );

        foreach ($actions as $action) {
            $result->set($action, $user->authorise($action, $assetName));
        }

        return $result;
    }
       
    public function completeLink($link,$popup = false,$redirect = false){
        if($popup) $link .= '&tmpl=component';
        return JRoute::_('index.php?option=com_maxxgallery&'.$link,!$redirect);
    }
}
