CREATE TABLE IF NOT EXISTS `#__maxxgallery` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) DEFAULT '0',
  `imgtitle` text,
  `imgauthor` varchar(250) DEFAULT NULL,
  `imgtext` text,
  `imgdate` varchar(20) DEFAULT NULL,
  `imgcounter` int(11) DEFAULT '0',
  `imgvotes` int(11) DEFAULT '0',
  `imgvotesum` int(11) DEFAULT '0',
  `published` tinyint(1) DEFAULT '0',
  `imgoriginalname` varchar(100) DEFAULT NULL,
  `imgfilename` varchar(100) DEFAULT NULL,
  `imgthumbsname` varchar(100) DEFAULT NULL,
  `checked_out` int(11) DEFAULT '0',
  `owner` int(11) DEFAULT '0',
  `useruploaded` tinyint(1) DEFAULT '0',
  `ordering` int(11) DEFAULT '0',
  `xWater` int(11) NOT NULL,
  `yWater` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__maxxgallery_cat` (
  `cid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `parent` int(11) NOT NULL,
  `description` text,
  `ordering` int(11) NOT NULL,
  `access` tinyint(4) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `thumbs` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`cid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__maxxgallery_comm` (
  `commid` int(10) NOT NULL AUTO_INCREMENT,
  `commpic` int(10) NOT NULL DEFAULT '0',
  `commip` varchar(15) NOT NULL DEFAULT '',
  `commname` varchar(20) NOT NULL DEFAULT '',
  `commmail` varchar(100) NOT NULL DEFAULT '',
  `commtext` text NOT NULL,
  `commdate` varchar(20) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`commid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__maxxgallery_votes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(20) NOT NULL,
  `id_pic` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;