<?php
  defined('_JEXEC') or die();
defined('_JEXEC') or die;
 
// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');
 
class JFormFieldCategories extends JFormFieldList
{
    /**
     * The field type.
     *
     * @var        string
     */
    protected $type = 'categories';

    /**
     * Method to get a list of options for a list input.
     *
     * @return    array        An array of JHtml options.
     */
    protected function getOptions() 
    {
        $db = JFactory::getDBO();
        $query="select C.*, C.cid as id  from #__maxxgallery_cat AS C order by C.ordering ";
        $db->setQuery( $query );
        
        $all_cats = $db->loadObjectList();
        
        $options = array();
        if ($all_cats)
        {
            foreach($all_cats as $message) 
            {
                $options[] = JHtml::_('select.option', $message->id, $message->name);
            }
        }
        $options = array_merge(parent::getOptions(), $options);
        return $options;
    }
}
