<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
class MaxxGalleryViewPictures extends JView
{
    
    protected $state;
    protected $items;
    protected $pagination;
    
    public function display( $tpl = null ){
        
        include(JPATH_SITE.'/administrator/components/com_maxxgallery/maxx.config.php');    
        $mainframe =& JFactory::getApplication();

        $option = $mainframe->scope;
        $cid = JRequest::getVar( 'cid', array(0), '', 'array' );
        $catid = $mainframe->getUserStateFromRequest($option . 'catid', 'catid', 0, 'int');
                
        $model = JModel::getInstance('pictures', 'MaxxGalleryModel');
        $modelCat = JModel::getInstance('categories', 'MaxxGalleryModel');
        
        $total = $model->getTotal($catid);
        $limit = $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
        $limitstart = $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
        jimport('joomla.html.pagination');
        $pagination = new JPagination( $total, $limitstart, $limit );
        
        $listCat = $modelCat->getCategories(0);
        $pic = array();
        
        if ($cid[0]){            
            $pic = $model->getPicture($cid[0]); 
            $water = JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_maxxgallery'.DS.'images'.DS.$maxx_fileWatermark;
            list($watermarkIMG_width, $watermarkIMG_height, $watermarkIMG_type) = getimagesize($water); 
            list($width, $height, $type, $attr) = getimagesize(JPATH_SITE.DS.$maxx_pathpictures.DS.$pic->imgfilename);      
        }
        
        if (!$catid){ $catid = $pic->catid; }
        
        if (JRequest::getVar('task')=='add' || JRequest::getVar('layout')=='batch' || $cid[0]){
            if (count($listCat)==0) JError::raiseNotice(0, jText::_('MAXX_PLEASE_ADD_CATEGORY'));
            $clist = $modelCat->ShowSelectCategoryList($catid, 'catid', 'class="inputbox" id="catid" style="width: 200px;" size="1" ', $pic->catid);
        }else{
            $clist = $modelCat->ShowSelectCategoryList($catid, 'catid', 'class="inputbox" id="catid" style="width: 200px;" size="1" onchange="document.adminForm.submit();" ', $pic->catid);
        }
        
        $list=$model->getList($catid);
        $this->assignRef('pagination',      $pagination);
        $this->assignRef('list',            $list);
        $this->assignRef('DropDown',        $clist);
        $this->assignRef('row',             $pic);
        $this->assignRef('maxx_paththumbs',   $maxx_paththumbspictures);
        $this->assignRef('maxx_pathpictures', $maxx_pathpictures);
        $this->assignRef('maxx_thumbheight',$maxx_thumbheight);
        $this->assignRef('maxx_thumbwidth',          $maxx_thumbwidth);
        $this->assignRef('maxx_path',                $maxx_path);
        $this->assignRef('maxx_fileWatermark',       $maxx_fileWatermark);
        $this->assignRef('maxx_watermarks',       $maxx_watermarks);
        $this->assignRef('maxx_position_watermark',       $maxx_position_watermark);
        $this->assignRef('watermarkIMG_width',       $watermarkIMG_width);
        $this->assignRef('watermarkIMG_height',      $watermarkIMG_height);
        $this->assignRef('width',      $width);
        $this->assignRef('height',     $height);
        $this->assignRef('model',      $model);
        $this->assignRef('catid',     $catid);

        $this->addToolbar();
                
        parent::display($tpl);        
    }
    
    protected function addToolbar(){
        $mainframe=JFactory::getApplication();
        $cid = JRequest::getVar( 'cid', array(0), '', 'array' );
        $catid = $mainframe->getUserStateFromRequest($option . 'catid', 'catid', 0, 'int');
        
        if($cid[0] || JRequest::getVar('task')==add || JRequest::getVar('task')==edit   ){
            if(JRequest::getVar('task')==add){
                JToolBarHelper::title( JText::_( 'Upload Picture' ), 'image_add_48.png' );
            }elseif(JRequest::getVar('task')==edit){
                JToolBarHelper::title( JText::_( 'Picture' ) .': <small><small>[' .JText::_('Edit'). ']</small></small>', 'image_edit.png' );
            }
            JToolBarHelper::save();
            JToolBarHelper::apply();
            JToolBarHelper::cancel();
        }elseif(JRequest::getVar('layout')=='batch'){
            JToolBarHelper::title( JText::_( 'Upload ZIP Package' ) , 'box_download.png' );
            JToolBarHelper::save('batch');
            JToolBarHelper::cancel();
        }else{
            JToolBarHelper::title( JText::_( 'Picture' ) .' Manager ', 'image_man.png' );
            JToolBarHelper::addNewX();
            JToolBarHelper::editListX();
            JToolBarHelper :: publishList('publish');
            JToolBarHelper :: unpublishList('unpublish');
            JToolBarHelper::deleteList();
        }
    }
}
?>
