<?php
     defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class MaxxGalleryViewMaxxGallery extends JView
{
    
    public function display($tpl = null) 
    {
        $buttons = array(); 
        $buttons[] = array('link'=>'controller=pictures&view=pictures'             , 'image'=>'image_man'     ,'text'=>JText::_('MAXX_PIC_MANAGER'),     'desc'=>JText::_("MAXX_PIC_MANAGER_DESC"));
        $buttons[] = array('link'=>'controller=category&view=categories'           , 'image'=>'folder_48'     ,'text'=>JText::_('MAXX_CAT_MANAGER'),     'desc'=>JText::_("MAXX_CAT_MANAGER_DESC"));
        $buttons[] = array('link'=>'controller=pictures&view=pictures&task=add'    , 'image'=>'image_add_48'  ,'text'=>JText::_('MAXX_PIC_UPLOAD'),      'desc'=>JText::_("MAXX_PIC_UPLOAD_DESC"));
        $buttons[] = array('link'=>'controller=pictures&view=pictures&layout=batch', 'image'=>'box_download'  ,'text'=>JText::_('MAXX_ZIP_UPLOAD'),      'desc'=>JText::_("MAXX_ZIP_UPLOAD_DESC"));
        $buttons[] = array('link'=>'controller=config&view=config'                 , 'image'=>'spanner_48'    ,'text'=>JText::_('MAXX_CONFIG'),          'desc'=>JText::_("MAXX_CONFIG_DESC"));
        $buttons[] = array('link'=>'controller=comments&view=comments'             , 'image'=>'user_comm'     ,'text'=>JText::_('MAXX_COMM_MANAGER'),    'desc'=>JText::_("MAXX_COMM_MANAGER_DESC"));
        $buttons[] = array('link'=>'controller=rebuild&view=rebuild'               , 'image'=>'refresh_48'    ,'text'=>JText::_('MAXX_REBUILD_PICTURE'), 'desc'=>JText::_("MAXX_REBUILD_PICTURE_DESC"));
        $htmlbuttons = array();
        foreach($buttons as $oneButton){
            $htmlbuttons[] = $this->_quickiconButton($oneButton['link'],$oneButton['image'],$oneButton['text'],$oneButton['desc']);
        }
        $this->addToolbar();                
        
        $this->assignRef('buttons',$htmlbuttons);
                    
        parent::display($tpl);
        
    }

    public function _quickiconButton( $link, $image, $text,$desc)
    {
        $url =  'onclick="document.location.href=\''.MaxxgalleryHelper::completeLink($link).'\';"';
        $html = '<div style="float:left;width: 100%;" '.$url.' class="icon"><a href="';
        $html .= MaxxgalleryHelper::completeLink($link) ;
        $html .= '"><table width="100%"><tr><td style="text-align: center;" width="120px">';
        $html .= '<span class="icon-48-'.$image.'" style="background-repeat:no-repeat;background-position:center;height:48px" title="'.$text.'"> </span>';
        $html .= '<span>'.$text.'</span></td>';
        $html .= '<td class="desc">'./*$desc.*/'</td>';
        $html .= '</tr></table></a>';
        $html .= '</div>';
        return $html;
    }
    
    
    
    protected function addToolBar(){
        JToolBarHelper::title(JText::_('MAXX Gallery'),'camera_big.png');  
        JToolBarHelper::preferences('com_maxxgallery');
        JToolBarHelper::divider();
    }
}
?>